%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		farsight2
Version:	0.0.16
Release:	2
License:	GNU/LGPLv2.1
URL:		http://farsight.freedesktop.org/wiki/
Group:		System/Libraries
Summary:	audio/video conferencing protocols framework
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		farsight2-python26.patch
# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glib-devel
BuildRequires: glibc-devel check-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: libnice-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config
BuildRequires: python26-devel
BuildRequires: python26-pygobject-devel
BuildRequires: gst-python

%description
The Farsight project is an effort to create a framework to deal with all known audio/video conferencing protocols. On one side it offers a generic API that makes it possible to write plugins for different streaming protocols, on the other side it offers an API for clients to use those plugins.

The main target clients for Farsight are Instant Messaging applications. These applications should be able to use Farsight for all their Audio/Video conferencing needs without having to worry about any of the lower level streaming and NAT traversal issues.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--disable-debug \
--with-package-name='CCux Linux gst-farsight package' \
--with-package-origin='http://packages.ccux-linux.de' PYTHON=/usr/bin/python%{PYVER}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/farsight2-0.0/
%{_libdir}/libgstfarsight-0.10.so.*
%{_libdir}/gstreamer-0.10/libfs*
%{_libdir}/python2.6/site-packages/farsight.*

%files devel
%defattr(-,root,root)
%{_includedir}/gstreamer-0.10/gst/farsight/   
%{_pkgconfig}/farsight2-0.10.pc
%{_libdir}/libgstfarsight-0.10.so
%{_libdir}/libgstfarsight-0.10.la
%{_libdir}/libgstfarsight-0.10.a
%{_datadir}/gtk-doc/html/farsight2-libs-0.10/
%{_datadir}/gtk-doc/html/farsight2-plugins-0.10/


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.16-2
- python 2.6
* Thu Nov 12 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.16-1
- Version update
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.0.14-1
- initial CCux package release
